summaryrefslogtreecommitdiff
path: root/contrib/taler-exchange-revoke
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2020-02-04 22:19:01 +0100
committerChristian Grothoff <christian@grothoff.org>2020-02-04 22:19:01 +0100
commit2590db50d59602980a09d48280f69e1662eb3168 (patch)
treead7b7e5a7038a603266688e8f70686c2c80082f1 /contrib/taler-exchange-revoke
parent42bc31744b9810509aef344c54bfee2f4e2a7ccb (diff)
downloadexchange-2590db50d59602980a09d48280f69e1662eb3168.tar.gz
exchange-2590db50d59602980a09d48280f69e1662eb3168.tar.bz2
exchange-2590db50d59602980a09d48280f69e1662eb3168.zip
add shell script to revoke DK as requested by Florian for revocation testing via taler-wallet-cli
Diffstat (limited to 'contrib/taler-exchange-revoke')
-rwxr-xr-xcontrib/taler-exchange-revoke24
1 files changed, 24 insertions, 0 deletions
diff --git a/contrib/taler-exchange-revoke b/contrib/taler-exchange-revoke
new file mode 100755
index 000000000..8ce0e8786
--- /dev/null
+++ b/contrib/taler-exchange-revoke
@@ -0,0 +1,24 @@
+#!/bin/sh
+# This file is in the public domain
+#
+# Used to first revoke a key and then restart the exchange
+# to ensure it notices the revocation.
+#
+# Takes 2 arguments:
+# $1: the configuration file name
+# $2: the denomination key hash (DKH) of the denomination to revoke
+
+set -eu
+
+if [ "$#" -ne 2 ];
+then
+ echo "illegal number of parameters"
+ exit 1
+fi
+
+taler-exchange-keyup -c $1 -r $2
+
+EXCHANGE_PID=`ps x | grep taler-exchange-httpd | awk '{print $1}'`
+kill -HUP $EXCHANGE_PID
+
+exit 0